glibmm 2.56.0

Public Types | Public Member Functions | List of all members
Glib::MarkupError Class Reference
Simple XML Subset Parser

Exception class for markup parsing errors. More...

`#include <glibmm/markup.h>`

Inheritance diagram for Glib::MarkupError:
[legend]

## Public Types
enum | Code { BAD_UTF8, EMPTY, PARSE, UNKNOWN_ELEMENT, UNKNOWN_ATTRIBUTE, INVALID_CONTENT, MISSING_ATTRIBUTE }
| Error codes returned by markup parsing. More...

## Public Member Functions
| MarkupError (Code error_code, const Glib::ustring& error_message)
| MarkupError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for markup parsing errors.

## Member Enumeration Documentation

## ◆ Code

enum Glib::MarkupError::Code

Error codes returned by markup parsing.

Enumerator
BAD_UTF8 | Text being parsed was not valid UTF-8. Text being parsed was not valid UTF-8.
EMPTY | Document contained nothing, or only whitespace. Document contained nothing, or only whitespace.
PARSE | Document was ill-formed. Document was ill-formed.
UNKNOWN_ELEMENT | Error should be set by MarkupParser functions; element wasn't known. This error should be set by Glib::Markup::Parser virtual methods; element wasn't known.
UNKNOWN_ATTRIBUTE | Error should be set by MarkupParser functions; attribute wasn't known. This error should be set by Glib::Markup::Parser virtual methods; attribute wasn't known.
INVALID_CONTENT | Error should be set by MarkupParser functions; content was invalid. This error should be set by Glib::Markup::Parser virtual methods; something was wrong with contents of the document, e.g. invalid attribute value.
MISSING_ATTRIBUTE | Error should be set by MarkupParser functions; a required attribute was missing.

## Constructor & Destructor Documentation

## ◆ MarkupError() [1/2]

Glib::MarkupError::MarkupError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

## ◆ MarkupError() [2/2]

Glib::MarkupError::MarkupError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::MarkupError::code | ( |  | ) | const